Reference Objects
Shared objects used to configure segments, budgets, and campaigns.
These objects have endpoints describing their options and are used to configure Segments, Budgets and Campaigns.
Live Status
A Live Status object describes the state of a campaign at an instant in time with the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| campaignOnAir | Boolean | Is the campaign on air | false |
| onAirReason | Campaign On Air Reason | The reason for the campaign on air status | "Waiting For Start Hour" |
| amountSpent | Money | Money spent today for Daily budget, this month for Monthly budget, or from the beginning of history for Campaign budget. | 450.00 |
| onAirModificationTime | Date | The last time the campaign went on or off air | "2014-01-17" |
Live Status objects are correct only for the instant they are returned. That is, a campaign that is on-air when the request is made may be off-air 10 minutes later.
Marketer Extra Fields
Marketer extra fields allows you to focus on the marketer fields that interest you. In order to use this notion, pass the request parameter 'extraFields' with any of the following values:
| Property | Semantic |
|---|---|
| Account | The Account Details of the Marketer: account type and salesForceAccountId (PrimaryAccountId) |
Campaign Extra Fields
Campaign extra fields allows you to focus on the campaign fields that interest you. In order to use this notion, pass the request parameter 'extraFields' with any of the following values:
| Property | Semantic |
|---|---|
| CustomAudience | The targeted CustomAudience of the campaign |
| Locations | The targeted Geo Location of the campaign |
| InterestsTargeting | The Interest Targeting of the campaign |
| BidBySections | The CPC By Section of the campaign |
| BlockedSites | The Campaign Blocked Sites |
| PlatformTargeting | The targeted Browsers and Operating Systems of the campaign |
| CampaignOptimization | The CampaignOptimization |
| Scheduling | The Campaign Scheduling Rules |
| IABCategories | The IABCategories Targeting of the campaign |
| CampaignPixels | The Pixels of the campaign |
| NetworkTargeting | The Network Targeting of the campaign |
Promoted Link Extra Fields
PromotedLink extra fields allows you to focus on the promoted link fields that interest you. In order to use this notion, pass the request parameter 'extraFields' with any of the following values:
| Property | Semantic |
|---|---|
| ImageURL | The Promoted Link's cachedImageUrl |
| ImageMetaData | The Promoted Link's image meta data |
| LogoMetaData | The Promoted Link's Logo Meta Data, its own brand logo |
Targeting Object
The Targeting object is simply a container for many Platform targeting objects. This is the object that is set on a campaign to apply targeting. This container has the following attributes:
| Property | Type | Comments |
|---|---|---|
| platform | array of Platform | |
| locations | array of Geo Location or array of location ids | When retrieving a campaign, the locations property is represented as an Array of Geo Location objects. Please note, when updating or creating a campaign, the locations property should be populated with an Array of location ids (fetched from the Search GeoLocations endpoint). UPDATE: To better streamline campaign retrieval, we will be removing the automatic inclusion of targeted location from the ExternalTargeting object within the next several months. We have added a new endpoint which returns all targeted and excluded locations of a given campaign that can be called in order to retrieve campaign geotargeting. The new endpoint can be found under Campaign Geo Location. A limit of 7000 zip codes and 5000 non zip codes locations can be either included or excluded per campaign. |
| excludedLocations | array of Geo Location or array of location ids | The same as locations with an opposite logic. |
| language | String | Indicates the language of the users that the campaign will serve for. List of supported languages |
| excludeAdBlockUsers | Boolean | Only promote content to users who have not installed ad-blocking software. |
| customAudience | CustomAudience | |
| browsers | array of Browsers | Target users that are using the specified browsers |
| operatingSystems | array of Operating Systems | Target users that are using the specified operating systems |
| includeCellularNetwork | Boolean | Target cellular network, true by default. To run your campaigns on wifi connection exclusively, send includeCellularNetwork as false |
| interests | Interest Targeting | Select your preferred interests categories in your campaign setup. As a result, we will match you with audiences we know are interested in your desired categories and will surface your content to the people who are most likely to take action |
| network | Network | Target MSN exclusively. |
| nativePlacementsEnabled | Boolean | Run the campaign in High Impact placements exclusively. High Impact placements allow marketers to command audience attention with brand-exclusive units, both in-Smartfeed and in-article. Note there’s a $1 minimum CPC. |
| iabCategories | IABCategories Targeting | Select your preferred IAB categories in your campaign setup. |
| locationsVersion | String | Indicates the type of the region codes in locations and excludedLocations properties. V1 for FIPS codes. V2 for ISO-3166 codes. |
If you wish to remove all current locations from a campaign, simply pass an empty array to the locations property.
Custom Audience Object
The Custom Audience Object is simply a container for segment ids. This container has the following attributes:
| Property | Type | Comments |
|---|---|---|
| includedSegments | array of String | a list of segment ids for this campaign to target |
| excludedSegments | array of String | a list of segment ids for this campaign to exclude in targeting |
| audienceIntelSegments | expression containing 3rd party segments. | Target Outbrain’s entire audience. Let our algorithm identify the ideal audience to meet your goals |
audienceIntelSegments Targeting Object
The same structure as Interest Targeting Object Interest Targeting, The tag is "audienceIntelSegments" instead of "interests" and the values are the 3rd party segments ids instead of the interest ids.
-
Example
"customAudience": { "audienceIntelSegments": { "op": "And", "terms": [ { "op": "Or", "ids": [ "008e954c0fdcdc89e8ec778c51480abd56", "008ede139cfc00fa93de16fdb7cce82757" ] }, { "op": "Or", "ids": [ "002f0efce4ef0b68bbcc04371afd5e9051", "0051f5b968a62736eb952c4c23956161a0", "0064ecd019e3144ad76bd00ac80a229a70" ] } ] } }
Operation Status
The Operation Status object represent the response's status. It has the following attributes:
| Property | Type |
|---|---|
| status | Success or Failure |
| reason | A detailed description in case of a failure to create an ad. Can contain more than a single reason. |
Marketer Blocked Sites
Contains the blocked Publishers and / or Sections which the Marketer defined. It has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| blockedPublishers | An array of Blocked Publisher | There is a limit of 30 Publishers |
| blockedSections | An array of Blocked Section. | There is a limit of 100 Sections |
Campaign Blocked Sites
Contains the blocked publishers / sections which the Campaign and his marketer defined. It has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| blockedPublishers | An array of Blocked Publisher | There is a limit of 30 Publishers |
| blockedSections | An array of Blocked Section. | There is a limit of 100 Sections |
| marketerBlockedSites | Marketer Blocked Sites. |
Blocked Publisher
Represents a blocked Publisher by Marketer / Campaign.
| Property | Type | Semantic |
|---|---|---|
| id | String | The id of the publisher |
| name | String | The name of the publisher |
| creationTime | Time | The creation time of the blocking |
| expiration | Date | The date when the exclusion will expire (format is yyyy-mm-dd). Optional, read-only |
| type | PublisherType | The type of the publisher. Optional, read-only |
Blocked Section
Represents a Section by Marketer / Campaign.
| Property | Type | Semantic |
|---|---|---|
| id | String | The id of the section |
| name | String | The name of the section |
| creationTime | Time | The creation time of the blocking |
| publisher | Blocked Publisher. | The publisher to which the section belongs |
| type | Section Type | The type of the section. Optional, read-only |
| expiration | Date | The date when the exclusion will expire (format is yyyy-mm-dd). Optional, read-only |
Order Value
Represents the Conversion Event's order value.
| Property | Type |
|---|---|
| value | Money |
| currency | Currency (one of Outbrain's supported currencies) |
Pixel Type Rules
Represents a collection of rule groups.
| Property | Type |
|---|---|
| ruleGroups | Array of RuleGroup |
Rule Group
Represents a collection of rules defining membership to a PIXEL type segment.
| Property | Type |
|---|---|
| rules | Array of Rule |
Rule
Represents a rule defining membership to a PIXEL type segment.
| Property | Type | Comment |
|---|---|---|
| pattern | String | The URL (or part of) to match the pixelRuleType constraint. |
| pixelRuleType | PixelRuleType |
Segment's Conversion
Represents the conversion that the segment is based on. For Value Based Converters segment represents also the rule defining membership to Value Based Converters segment
| Property | Type | Comment |
|---|---|---|
| id | String | The id of the conversion event that the segment will be based on |
| rule | ValueBasedConvertersRule | Relevant only for VALUABLE_CONVERSION. Represents a rule defining membership to Value Based Converters segment |
Value Based Converters Rule
Represents a rule defining membership to Value Based Converters segment
| Property | Type | Comment |
|---|---|---|
| type | ValueBasedConvertersRuleType | |
| targetValue | Money | Available only for EqualsTo type |
| lowerBoundInclusive | Money | Available only for GreaterThanEqual type |
| upperBound | Money | Available only for LowerThan type |
| lowerBoundInclusive | Money | Available only for BetweenInclusive type |
| upperBoundInclusive | Money | Available only for BetweenInclusive type |
Targeting Campaigns Response
Represents a collection of targeting campaigns.
| Property | Type |
|---|---|
| targetingCampaignsPerSegment | Array of TargetingCampaign |
Targeting Campaign
Represents a mapping from segment id to its targeting campaigns.
| Property | Type |
|---|---|
| segmentId | String |
| includedCampaigns | Array of Campaign optional |
| excludedCampaigns | Array of Campaign optional |
Campaign
A minimal representation of campaign.
| Property | Type | Semantic |
|---|---|---|
| id | String | The campaign id |
| name | String | The campaign name |
Bids
Bids objects give you the option to adjust your campaign’s CPC by different aspects.
The Bids object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| bySection | Array of CPC By Section | A limit of 1000 CPC adjustments can be performed per campaign. |
Volume Control
The Volume Control object allows you to provide feedback on individual section performance for your CBS Auto mode campaigns (tROAS, tCPA, Max Conversion) to increase or decrease traffic volume.
Note: Adjustments can only be applied if the campaign is eligible. Eligibility is determined by the campaign having over 300 clicks and being a CBS Auto mode campaign.
The Volume Control object has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| eligible | Boolean | Indicates if the campaign is eligible for volume control. read-only |
| adjustments | Array of Volume Control Adjustment | A list of section volume adjustments. |
Volume Control Adjustment
The Volume Control Adjustment object has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| sectionId | String | The ID of the section to adjust. |
| adjustmentLevel | Volume Control Adjustment Level | The level of adjustment to apply. |
Campaign Optimization
Campaign Optimization object defines the optimization policy of a campaign
The Campaign Optimization object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| optimizationType | Campaign Optimization Type | The campaign optimization type. Mandatory field | CPC |
| maxCpcBidPercentage | Number | For CPC optimization - mandatory and must be greater than 0.3, For MAX_CONVERSION_FULLY_AUTOMATED, TARGET_ROAS_FULLY_AUTOMATED and TARGET_CPA_FULLY_AUTOMATED optimization - default is 1, if provided must be greater than 1: maximal percentage allowed per serving above the campaign CPC | 0.7 |
| targetConversionId | Conversion Event ID | For CPC and MAX_CONVERSION_FULLY_AUTOMATED optimization: the primary conversion event towards which the campaign is optimized. Currently optional, Will be mandatory starting Sep 27 | "00f4b02153ee75f3c9dc4fc128ab041962" |
| conversions | Array of Conversion Event IDs | For CPC and MAX_CONVERSION_FULLY_AUTOMATED optimization: up to two supportive conversions - conversions that are up the funnel from the primary conversion | ["00f4b02153ee75f3c9dc4fc128ab041962"] |
| maxCpcAdjustmentOverManualInFullyAutomated | Number | For MAX_CONVERSION_FULLY_AUTOMATED, TARGET_ROAS_FULLY_AUTOMATED and TARGET_CPA_FULLY_AUTOMATED optimization: read-only, maximal percentage the algorithm is allowed to raise the campaign's CPC | 0.5 for MAX_CONVERSION_FULLY_AUTOMATED and 1.0 for TARGET_CPA_FULLY_AUTOMATED and TARGET_ROAS_FULLY_AUTOMATED |
| targetCpaConversionId | Conversion Event ID | Relevant and mandatory only for TARGET_CPA_FULLY_AUTOMATED optimization: the conversion event towards which the campaign is optimized. | "00f4b02153ee75f3c9dc4fc128ab041962" |
| targetRoasConversionId | Conversion Event ID | Relevant and mandatory only for TARGET_ROAS_FULLY_AUTOMATED optimization: the conversion event towards which the campaign is optimized. The conversion event must have a conversion value passed over it | "00f4b02153ee75f3c9dc4fc128ab041962" |
| targetCpa | Number | Relevant and mandatory for TARGET_CPA_FULLY_AUTOMATED optimization: the CPA for targetCpaConversionId towards which the campaign is optimized | 6.3 |
| targetRoas | Number | Relevant and mandatory for TARGET_ROAS_FULLY_AUTOMATED optimization: the ROAS for targetRoasConversionId towards which the campaign is optimized. For example 1.5 means that for every $1 spend with outbrain, the algorithm will try to get $1.5 in conversion values | 1.5 |
| baseCpc | Number | Readonly field which is relevant for TARGET_ROAS_FULLY_AUTOMATED, MAX_CONVERSION_FULLY_AUTOMATED and TARGET_CPA_FULLY_AUTOMATED optimizations: the latest CPC update done by the user. | 0.4 |
| automaticModeMaxAvgDailyCpc | Number | Max Daily Average CPC, Relevant only for MAX_CONVERSION_FULLY_AUTOMATED, TARGET_ROAS_FULLY_AUTOMATED and TARGET_CPA_FULLY_AUTOMATED optimizations: The maximum average daily value that the campaign’s CPC is allowed to reach. | 0.26 |
| automaticModeMaxCpc | Number | Bid Cap, Relevant only for some old (created before Sep 1st '24) MAX_CONVERSION_FULLY_AUTOMATED, TARGET_ROAS_FULLY_AUTOMATED and TARGET_CPA_FULLY_AUTOMATED optimizations: The maximum value that the campaign’s CPC is allowed to reach. | 0.54 |
| maxCpcRecommendation | Max CPC Recommendation | In case your CBS automatic campaign can not increase the CPC (and the algorithm recommends to increase it), follow these recommendations. | INCREASE_BID_CAP |
CPC by Section
CPC by section allows you to maximize your exposure on specific publisher sections.
-
Calculation details and a general explanation about CPC Adjustment can be found here
-
This feature works best when focusing on the sections that are converting well and bringing in engaged traffic.
The CPC By Section object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| sectionId | String | Section id | 009e769d5444de4570582abe8ff7689883 |
| sectionName | String | Section name read-only | Sports |
| publisherId | String | Publisher id read-only | 00f3022e3638c88cb5e46768e45c471441 |
| cpcAdjustment | Number | Float number with precision of 3 digits (between -1 and 10) | 0.1 |
| campaignId | String | Campaign id read-only | 0089272cb4ad049a9aeefc0fc8d0758736 |
| creationTime | Time | The time when the bid was created read-only | 2013-01-14 07:19:16 |
| lastModified | Time | The time when the bid was last modified read-only | 2013-01-14 07:21:16 |
CPC Adjustments
CPC Adjustments allows you to maximize your exposure on specific entities (e.g - publisher sections, promoted links etc.).
With custom CPC adjustments you choose a percentage higher or lower than the fixed campaign CPC based on the entity's performance.
The cpc adjustment calculation is: < cpc > + [< cpc > * < cpc adjustment >]
For example when the campaign's cpc is 0.4 and the cpc adjustment is 0.5, the cpc for the selected entity will be 0.4 + (0.4 * 0.5) = 0.6 and when passing -0.5 0.4 + (0.4 * (-0.5)) = 0.2
In case a cpcAdjustment of an entity is applied together with another entity's cpcAdjustment, The cpc adjustment calculation is: < Campaign’s cpc > + [< cpc > * < entity 1 cpc adjustment > * < entity 2 cpc adjustment > * < by hour cpc adjustment >]
For example, in case a cpcAdjustment of a promotedLink is applied together with a section’s cpcAdjustment, The cpc adjustment calculation is: < Campaign’s cpc > + [< cpc > * < promotedLink cpc adjustment > * < section cpc adjustment >
-
CPC adjustments will override any Optimization done on the entity except for day and hour bid adjustment.
-
CPC adjustments are supported only for campaign with optimizationType of
CPCandTrafficIn case the optimizationType isMAX_CONVERSION_FULLY_AUTOMATED, 'TARGET_ROAS_FULLY_AUTOMATED' or 'TARGET_CPA_FULLY_AUTOMATED', setting or adjusting CPC adjustments will result in an error. -
Bid adjustments are kept when switching between optimizationType of type
CPCorTRAFFICtoMAX_CONVERSION_FULLY_AUTOMATEDor 'TARGET_CPA_FULLY_AUTOMATED'. E.g - in case optimizationType isCPCorTRAFFIC, switching toMAX_CONVERSION_FULLY_AUTOMATED, 'TARGET_ROAS_FULLY_AUTOMATED' or 'TARGET_CPA_FULLY_AUTOMATED' will result in not returning the adjustments on a GET call. If the optimizationType is then switched back toCPC, the previous adjustments will return on the GET call. -
The adjusted cpc can only be between the campaign's min and max cpc (when bidding below the campaign's min cpc the cpc will be the campaign's min cpc and the same goes when bidding above the max cpc)
-
It is not recommended to reduce the CPC too significantly. Setting it 5-10% lower than the fixed CPC will ensure attention is driven to the highest performers.
Campaign Scheduling Rules
- In order for the campaign scheduling rules to take effect, the
onAirTypeshould be set to "Scheduled". - While defining more than a single rule of the same type (cpc/on air), they can't overlap each other's timeline.
On Air Rules
The object defines a scheduling configuration which allows the campaign to be on-air on future timeline during the week.
- In case the campaign's
onAirTypeis configured to "Scheduled" and there are no on-air rules defined, it means that the campaign should be constantly on-air.
Cpc Rules
The object defines a scheduling configuration which allows adjusting the cpc on future timeline during the week.
Calculation details and a general explanation about CPC Adjustment can be found here.
Campaign On Air Scheduling Rules
| Property | Type | Semantic | Example |
|---|---|---|---|
| startDay | DayOfweek | The start day of the rule | "Sunday" |
| endDay | DayOfweek | The end day of the rule | "Monday" |
| startHour | Number (24 hours format) | The start hour of the rule | 8 |
| endHour | Number (24 hours format) | The end hour of the rule | 12 |
Campaign Cpc Scheduling Rules
| Property | Type | Semantic | Example |
|---|---|---|---|
| startDay | DayOfweek | The start day of the rule | "Sunday" |
| endDay | DayOfweek | The end day of the rule | "Monday" |
| startHour | Number (24 hours format) | The start hour of the rule | 8 |
| endHour | Number (24 hours format) | The end hour of the rule | 12 |
| cpcAdjustment | Number | Float number with precision of 3 digits (between -1 and 10) | 0.1 |
Cpc Rules Examples
The following rule will change the campaign's cpc according to the cpcAdjustment between Sunday at 03:00 until Tuesday at 01:00
-
Schema
"scheduling": { "cpc": [ { "startDay": "Sunday", "endDay: : "Tuesday", "startHour": 3, "endHour": 1, "cpcAdjustment": 0.1 }] }
On Air Rules Examples
- Please note that the campaign will be on-air unless other condition made the campaign become off-air. (i.e, campaign is disabled, budget was depleted, etc')
The following rule means that the campaign should be on-air between Sunday at 02:00 until Sunday at 06:00.
-
Schema
"scheduling": { "onAir": [ { "startDay": "Sunday", "endDay: : "Sunday", "startHour": 2, "endHour": 6 }] }
The following rule means that the campaigns should be on-air between Sunday at 10:00 until the next Sunday (in the week after) at 02:00.
-
Schema
"scheduling": { "onAir": [ { "startDay": "Sunday", "endDay: : "Sunday", "startHour": 10, "endHour": 2 }] }
The following rule means that the campaigns should be on-air between Tuesday at 02:00 until the next Sunday (in the week after) at 06:00.
-
Schema
"scheduling": { "onAir": [ { "startDay": "Tuesday", "endDay: : "Sunday", "startHour": 2, "endHour": 6 }] }
Seed Sub Segment
Seed Sub Segment object is a combination of country code and platform of your seed segment's users
The Seed Sub Segment object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| country | String | country code of your subseed audience | US |
| platform | String | platform of your subseed audience | desktop |
| size | Number | size of your subseed audience in your specified combination of country and platform | 10000 |
| sizeInNetwork | Number | potential reach on Outbrain with your specified combination of country and platform | 2000000 |
| eligibleForLookalikeSubSegment | Boolean | true when the size of your subseed audience is above 100 | true |
Lookalike Sub Segment
Lookalike Sub Segment object is a combination of country and platform for your Lookalike audience.
The Lookalike Sub Segment object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| country | String | location of your subseed audience, that is targeted in the Lookalike segment | US |
| platform | String | platform of your subseed audience, that is targeted in the Lookalike segment | desktop |
| potentialReach | Number | potential reach on Outbrain with your specified combination of country and platform | 10000 |
| status | Sub Segment Status | status of your subseed audience | ACTIVE |
| affinity | Affinity | affinity of your subseed audience | HIGH |
| lastUpdate | Boolean | date of the last update of status and affinity | 2018-01-01 13:00:00 |
Sub Segments Metadata
Sub Segments Metadata object contains an array of all available Seed Sub Segment in your seed audience.
The Sub Segments Metadata object has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| subSegments | array of Seed Sub Segment | |
| eligibleForLookalikeSegment | Boolean | true when the type of the seed segment is PIXEL, CLICKERS or DMP and there is at least one Seed Sub Segment whose size is above 100 |
Seed Segment
Seed Segment is a segment for which the Lookalike segment includes similar users from. The Seed Segment object has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| segmentId | String | id of the seed segment |
| segmentType | SegmentType | type of the seed segment |
Lookalike Settings
Our Lookalike model searches our premium publisher network to find new people likely to be interested in a marketer’s business because they resemble existing customers.
Lookalike Settings object describes the settings of a LOOK_A_LIKES segment. The Lookalike Settings object has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| seedSegment | Seed Segment | |
| similarity | Number | the audience size of the similar users in the Outbrain network, ranging from 1% to 15% in increments of 1. 1% is the top users similar to your subsegment users. To calculate your target audience size multiple your similarity by the "sizeInNetwork" of the selected sub seed segment |
| status | Lookalike Segment Status | status of the model of the Lookalike segment |
| subSegments | array of Lookalike Sub Segment | array of all seed sub segments targeted by the Lookalike segment |
Create Lookalike Metadata
Create Lookalike Metadata object contains settings of a new Lookalike segment. Create Lookalike Metadata object has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| seedSegmentId | String | id of the seed segment |
| similarity | Number | the audience size of the similar users in the Outbrain network, ranging from 1% to 15% in increments of 1. 1% is the top users similar to your subsegment users. To calculate your target audience size multiple your similarity by the "sizeInNetwork" of the selected sub seed segment |
| subSegments | array of Sub Segment | array of all seed sub segments, that will be targeted by the Lookalike segment |
Update Lookalike Settings
Update Lookalike Settings object contains updatable settings of a Lookalike segment. Update Lookalike Settings object has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| similarity | Number | the audience size of the similar users in the Outbrain network, ranging from 1% to 15% in increments of 1. 1% is the top users similar to your subsegment users. To calculate your target audience size multiple your similarity by the "sizeInNetwork" of the selected sub seed segment |
| subSegments | array of Sub Segment | array of all seed sub segments, that will be targeted by the Lookalike segment |
Sub Segment
Sub Segment object is a combination of country code and platform of your subseed audience, that will be targeted in the Lookalike segment. The Sub Segment object has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| country | String | country code of your subseed audience |
| platform | String | platform of your subseed audience |
DMP Info
DMP Info object contains info about the DMP segment. The DMP Info object has the following attributes:
Interest Targeting
Interest Targeting gives you the abillity to select your preferred interests categories in your campaign setup. Then, using our powerful interest insights and predictive technology, we’ll match you with audiences we know are interested in your desired categories and will surface your content to the people who are most likely to take action.
Interest Targeting Object
The interests property gives you the abillity to configure your desired interests using logical operations:
Basic Interest Term Configuration:
A Basic Term has the following properties:
| Property | Type | Semantic |
|---|---|---|
| op | And / Or / Not | The desired Operation. |
| ids | array of Strings | The actual interest ids (can be obtained from the search interests by term or get all available interests inventory end-points). |
Advanced Interest Term Configuration:
An Advanced Term has the following properties:
| Property | Type | Semantic |
|---|---|---|
| op | And / Or / Not | The desired Operation. |
| terms | A list of Basic or Advanced Terms. |
Interests usage example:
-
Basic Interest Term
"interests": { "op":"Or", "ids":["007a3a7bcac3d8414f5e22e5f6512bac62", "002f4e9538befa0a97db5cf3bddb0fc2cd"] }
-
Advanced Interest Term ( And of Or's )
"interests": { "op":"And", "terms":[ { "op":"Or", "ids":["007a3a7bcac3d8414f5e22e5f6512bac62"] },{ "op":"Or", "ids":["002f4e9538befa0a97db5cf3bddb0fc2cd"] } ] }
-
Advanced Interest Term ( Not usage )
"interests": { "op":"Not", "terms":[ { "op":"Or", "ids":["007a3a7bcac3d8414f5e22e5f6512bac62"] } ] }
IABCategories Targeting
IABCategories Targeting gives you the abillity to select your preferred IAB categories in your campaign setup.
IABCategories Targeting Object
The same structure as Interest Targeting Object Interest Targeting, The tag is "iabCategories" instead of "interests" and the values are the IAB category ids instead of the interest ids.
IABCategories usage example:
-
IABCategories Term
"iabCategories": { "op": "And", "terms": [ { "op": "Not", "terms": [ { "op": "Or", "ids": ["IAB12-1"] } ] }, { "op": "Or", "ids": ["IAB12-3"] } ] }
Network
Used to Target MSN publishers only.
Network Object
A network has the following properties:
| Property | Type | Semantic |
|---|---|---|
| type | String | network type, currently the only possible value is PublisherList |
| selection | array of Strings | MSN publishers list id 005989514658fab332ace27125dc90eb0c |
To target MSN publishers only, use the json below:
"network": {
"type":"PublisherList",
"selection":["005989514658fab332ace27125dc90eb0c"]
}
To stop targeting MSN publishers only, use the json below:
"network": {
"type":"PublisherList",
"selection":[]
}
Segment Availability
Segment Availability object contains info about the availability of the segment.
| Property | Type | Semantic |
|---|---|---|
| status | String | ACTIVE INACTIVE DISABLED |
| inactiveReason | String | Possible INACTIVE reason values: - Waiting for pixel - inactive until first pixel received which matches segment's rule- Pending - inactive until first click received for clickers segment- Segment size exceeded - segment size exceeded its size limit. New users will not be added- Segment not in use - segment is not is use by any campaign. New users will not be added |
Publisher
Represents a Publisher.
| Property | Type | Semantic |
|---|---|---|
| id | String | The id of the publisher |
| name | String | The name of the publisher |
| type | Publisher Type | The type of the publisher. Optional |
Section
Represents a Section.
| Property | Type | Semantic |
|---|---|---|
| id | String | The id of the section |
| name | String | The name of the section |
| publisher | Publisher. | The publisher to which the section belongs. Optional |
| type | Section Type | The type of the section. Optional |
Sections Collection Response
Represents a collection of sections.
| Property | Type |
|---|---|
| sections | An Array of Section |
Dynamic Retargeting
Represents Dynamic Retargeting settings
| Property | Type | Semantic |
|---|---|---|
| feedURL | String | URL of the products feed |
| feedStatus | FeedStatus | Status of the product feed |
Account
Represents Marketer's Account details
| Property | Type | Semantic |
|---|---|---|
| type | String | Account's type |
| salesForceAccountId | String | Account's Primary Account ID |